<? $DEFINITIONS = Zend_Registry::get('defines'); ?>

<script type="text/javascript">
	function removeCity(obj){
		obj.parentNode.parentNode.removeChild(obj.parentNode);
	}
</script>

<style type="text/css">
	.escorts { background: none; margin: 0; }
	.escort { height: auto; }
</style>

<? if ($this->items): ?>
<div class="escorts">
	<? $j = 0; ?>
	<?
	
	foreach ($this->items as $k => $item): ?>
		<? $cities_str = ''; if (array_key_exists('cities', $item)) { $cities_str = $item['cities']; unset($item['cities']);  } ?>
		<? if (isset($this->escorts[$k])): ?>
			<? $j ++; ?>
			<?
			
			$st_item = implode(',', $item); ?>
			<div class="escort-alert prem">
				<div class="alert-image-container">
					<div class="wrap">
						<div class="alertme-icon"><?= __('alm_alert_me') ?></div>
						<div class="image">
							<? if ($this->escorts[$k]->verified_status == Model_Escorts::VERIFIED_STATUS_VERIFIED): ?><div class="p100s-<?= $this->lang() ?>"></div><? endif; ?>
							<? if ($this->escorts[$k]->is_new || (isset($this->escorts[$k]->is_new_h) && $this->escorts[$k]->is_new_h)): ?><span class="new"></span><? endif; ?>
							<a href="<?= $this->getLink('profile', array('showname' => $this->escorts[$k]->showname, 'escort_id' => $this->escorts[$k]->id)) ?>">
								<img class="escort-thumb" alt="" src="<?= $this->escorts[$k]->getMainPhoto()->getUrl('m95') ?>" />
							</a>
						</div>
					</div>
				</div>
				<div class="fl">
					<form action="" method="post" class="alertme-form" id="form-<?= $k ?>">
						<input type="hidden" name="escort_id" value="<?= $k ?>" />
						<label for="alm-<?= ALERT_ME_NEW_COMMENT ?>-<?= $k ?>">
							<input
								type="checkbox"
								name="events[<?= $k ?>][<?= ALERT_ME_NEW_COMMENT ?>]"
								id="alm-<?= ALERT_ME_NEW_COMMENT ?>-<?= $k ?>"
								<? if ($st_item != '1,2,3,4' && $st_item != '1,2,3,4,6' && in_array(ALERT_ME_NEW_COMMENT, $item)): ?>checked="checked"<? endif; ?>
							/>
							<span><?= $DEFINITIONS['alert_me'][ALERT_ME_NEW_COMMENT] ?></span>
							<div class="clear"></div>
						</label>
						<label for="alm-<?= ALERT_ME_MODIFICATION_ON_PROFILE ?>-<?= $k ?>">
							<input
								type="checkbox"
								name="events[<?= $k ?>][<?= ALERT_ME_MODIFICATION_ON_PROFILE ?>]"
								id="alm-<?= ALERT_ME_MODIFICATION_ON_PROFILE ?>-<?= $k ?>"
								<? if ($st_item != '1,2,3,4' && $st_item != '1,2,3,4,6' && in_array(ALERT_ME_MODIFICATION_ON_PROFILE, $item)): ?>checked="checked"<? endif; ?>
							/>
							<span><?= $DEFINITIONS['alert_me'][ALERT_ME_MODIFICATION_ON_PROFILE] ?></span>
							<div class="clear"></div>
						</label>
						<label for="alm-<?= ALERT_ME_NEW_PICTURES ?>-<?= $k ?>">
							<input
								type="checkbox"
								name="events[<?= $k ?>][<?= ALERT_ME_NEW_PICTURES ?>]"
								id="alm-<?= ALERT_ME_NEW_PICTURES ?>-<?= $k ?>"
								<? if ($st_item != '1,2,3,4' && $st_item != '1,2,3,4,6' && in_array(ALERT_ME_NEW_PICTURES, $item)): ?>checked="checked"<? endif; ?>
							/>
							<span><?= $DEFINITIONS['alert_me'][ALERT_ME_NEW_PICTURES] ?></span>
							<div class="clear"></div>
						</label>
						<label for="alm-<?= ALERT_ME_NEW_REVIEW ?>-<?= $k ?>">
							<input
								type="checkbox"
								name="events[<?= $k ?>][<?= ALERT_ME_NEW_REVIEW ?>]"
								id="alm-<?= ALERT_ME_NEW_REVIEW ?>-<?= $k ?>"
								<? if ($st_item != '1,2,3,4' && $st_item != '1,2,3,4,6' && in_array(ALERT_ME_NEW_REVIEW, $item)): ?>checked="checked"<? endif; ?>
							/>
							<span><?= $DEFINITIONS['alert_me'][ALERT_ME_NEW_REVIEW] ?></span>
							<div class="clear"></div>
						</label>
						<label for="alm-<?= ALERT_ME_ANY_CHANGE ?>-<?= $k ?>">
							<input
								type="checkbox"
								name="events[<?= $k ?>][<?= ALERT_ME_ANY_CHANGE ?>]"
								id="alm-<?= ALERT_ME_ANY_CHANGE ?>-<?= $k ?>"
								class="alm-any"
								<? if ($st_item == '1,2,3,4' || $st_item == '1,2,3,4,6' ): ?>checked="checked"<? endif; ?>
							/>
							<span><?= $DEFINITIONS['alert_me'][ALERT_ME_ANY_CHANGE] ?></span>
							<div class="clear"></div>
						</label>
						<label for="alm-<?= ALERT_ME_CITY ?>-<?= $k ?>">
							<input
								type="checkbox"
								name="events[<?= $k ?>][<?= ALERT_ME_CITY ?>]"
								id="alm-<?= ALERT_ME_CITY ?>-<?= $k ?>"
								<? if (in_array(ALERT_ME_CITY, $item)): ?>checked="checked"<? endif; ?>
							/>
							<span><?= $DEFINITIONS['alert_me'][ALERT_ME_CITY] ?></span>
							<div class="clear"></div>
						</label>
						<? if ($this->cities_list): ?>
						<label class="fl w110">
							<select name="city_id" class="w100" id="city_id_<?= $k ?>">
								<option value="">- - -</option>
								<? if (isset($this->countries_list) && count($this->countries_list) > 0): ?>
									<? foreach ($this->countries_list as $country): ?>
										<option value="" disabled="disabled" class="disabled"><?= $country->title ?></option>
										<? foreach ($this->cities_list as $city): ?>
											<? if ($city->country_id == $country->id): ?>
												<option value="<?= $city->id ?>" class="c-city"><?= $city->title ?></option>
											<? endif; ?>
										<? endforeach; ?>
									<? endforeach; ?>
								<? else: ?>
									<? foreach ($this->cities_list as $city): ?>
										<option value="<?= $city->id ?>"><?= $city->title ?></option>
									<? endforeach; ?>
								<? endif; ?>
							</select>
						</label>
						<label class="fl">
							<button type="submit" name="addcity" class="alertme-city-btn" value="addcity">
								<span>Add</span>
							</button>
						</label>
						<div class="clear"></div>
						<label id="city-items-<?= $k ?>">
							<? if (strlen($cities_str) > 0): ?>
								<? $m = new Model_Cities(); $cities = $m->getByIds($cities_str); ?>
								<? foreach ($cities as $c): ?>
									<div class="city-item-wr">
										<a id="<?= $c->id ?>" onclick="removeCity(this)" class="city-item" rel="<?= $k ?>"></a><?= $c->title ?>
										<input type="hidden" class="cts" name="cities[<?php echo $k; ?>][<?php echo $c->id; ?>]" value="<?= $k . '-' . $c->id ?>" />
										<div class="clear"></div>
									</div>
								<? endforeach; ?>
							<? endif; ?>
						</label>
						<? endif; ?>

					<div class="alertme-i-w">
						<input type="submit" class="save-button" name="save" value="<?= __('alm_save_changes') ?>" />
							<? /*<a href="#" class="alertme-save-remove alertme-save" rel="<?= $k ?>"><?= __('alm_save_changes') ?></a>*/ ?>
						<div class="clear"></div>
					</div>

					<div class="alertme-i-w">
						<input type="submit" name="remove" class="remove-button" value="<?= __('alm_remove') ?>" />
							<? /*<a href="#" class="alertme-save-remove alertme-remove" rel="<?= $k ?>"><?= __('alm_remove') ?></a>*/ ?>
						<div class="clear"></div>
					</div>
					</form>
				</div>
				<div class="clear"></div>
			</div>

		<? endif; ?>
	<? endforeach; ?>
	
	<div class="clear"></div>
</div>
<? else: ?>
	<?= __('alm_no_alerts') ?>
<? endif; ?>
